Bug 11601 - FYI: netatalk won't work with LPRng
FYI: netatalk won't work with LPRng
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: LPRng (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-23 07:38 EDT by Jonathan Kamens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 17:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (old, perhaps no longer completely correct) patch for netatalk + lprng (5.80 KB, patch)
2000-06-27 22:03 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2000-05-23 07:38:39 EDT
I see that the current Raw Hide has an LPRng package, which makes me
suspect that you're going to drop your lpr package in favor of LPRng in the
next RedHat release.

If you do decide to drop lpr completely, you should know that netatalk
printing through papd doesn't work with LPRng.

I have netatalk patches to make it sort of work, but they do not provide
the full functionality that is available when netatalk is used with lpr.  I
can send you the patches if you're interested in them.
Comment 1 Bernhard Rosenkraenzer 2000-06-26 17:00:42 EDT
We're going to replace lpr with LPRng and keep shipping lpr in Powertools for
people who need it.
I'm definitely interested in seeing your patch.
Comment 2 Jonathan Kamens 2000-06-27 22:03:25 EDT
Created attachment 778 [details]
patch (old, perhaps no longer completely correct) patch for netatalk + lprng
Comment 3 Jonathan Kamens 2000-06-27 22:05:06 EDT
I've attached my patch.  Note that you need to make sure LPRNG is defined when
you compile netatalk, or the patch won't do anything.  Note also that I haven't
done anything with this patch in a long time, so I do not know if it is still
current.  Finally, note that I never implemented viewing the queue or removing
jobs from the queue via PAP with LPRNG -- those bits of functionality were never
important enough to me to be worth implementing.  But for printing jobs, I found
that this patch worked just fine with lprng.
Comment 4 Crutcher Dunnavant 2001-02-01 16:28:46 EST
I'm reseting this to an enhancement, as we don't even ship any apple talk tools
at the moment, but I've rebuilt the printconf system to the point where adding
this back in is not that hard.

Note You need to log in before you can comment on or make changes to this bug.